<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.fit.params &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../../index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../lib.html">lib package</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../../index.html">Module code</a> &raquo;</li>
      <li>lib.fit.params</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for lib.fit.params</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot; Module that contains tools to handle the fitted or constant parameters</span>
<span class="sd">of a fit.</span>
<span class="sd">&quot;&quot;&quot;</span>


<div class="viewcode-block" id="params_into_dict"><a class="viewcode-back" href="../../../lib.fit.html#lib.fit.params.params_into_dict">[docs]</a><span class="k">def</span> <span class="nf">params_into_dict</span><span class="p">(</span>
        <span class="n">result_params</span><span class="p">,</span> <span class="n">with_err</span><span class="p">:</span> <span class="nb">bool</span> <span class="o">=</span> <span class="kc">True</span><span class="p">,</span> <span class="n">method</span><span class="p">:</span> <span class="nb">str</span> <span class="o">=</span> <span class="s1">&#39;zfit&#39;</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">dict</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Turn a object that contains the fitted parameters (obtained from</span>
<span class="sd">    zFit or rooFit) into a dictionnary, easier to handle.</span>

<span class="sd">    Args:</span>
<span class="sd">        result_params : Results of the fit, obtained using zFit or RooFit.</span>
<span class="sd">        with_err : wether the uncertainty on the variables are retrieved.</span>
<span class="sd">        method : ``zfit`` or ``root``</span>

<span class="sd">    Returns:</span>
<span class="sd">        dictionnary of the result of the fit. Associates the name of</span>
<span class="sd">        a parameter with either a dictionnary that contains its value</span>
<span class="sd">        (key: ``val``) and its error(key: ``err``) if ``with_err``,</span>
<span class="sd">        just the value otherwise.</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">params_dict</span> <span class="o">=</span> <span class="p">{}</span>
    <span class="k">if</span> <span class="n">method</span> <span class="o">==</span> <span class="s1">&#39;zfit&#39;</span><span class="p">:</span>
        <span class="k">for</span> <span class="n">param</span> <span class="ow">in</span> <span class="nb">list</span><span class="p">(</span><span class="n">result_params</span><span class="o">.</span><span class="n">keys</span><span class="p">()):</span>  <span class="c1"># loop over the parameters</span>
            <span class="c1"># Retrieve name, value and error</span>
            <span class="n">name_param</span> <span class="o">=</span> <span class="n">param</span><span class="o">.</span><span class="n">name</span>
            <span class="n">new_name_param</span> <span class="o">=</span> <span class="n">name_param</span>
            <span class="n">params_dict</span><span class="p">[</span><span class="n">new_name_param</span><span class="p">]</span> <span class="o">=</span> <span class="p">{}</span>
            <span class="n">value_param</span> <span class="o">=</span> <span class="n">result_params</span><span class="p">[</span><span class="n">param</span><span class="p">][</span><span class="s1">&#39;value&#39;</span><span class="p">]</span>

            <span class="k">if</span> <span class="n">with_err</span><span class="p">:</span>
                <span class="n">params_dict</span><span class="p">[</span><span class="n">new_name_param</span><span class="p">][</span><span class="s1">&#39;val&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="n">value_param</span>
                <span class="n">error_param</span> <span class="o">=</span> <span class="n">result_params</span><span class="p">[</span><span class="n">param</span><span class="p">][</span><span class="s1">&#39;minuit_hesse&#39;</span><span class="p">][</span><span class="s1">&#39;error&#39;</span><span class="p">]</span>
                <span class="n">params_dict</span><span class="p">[</span><span class="n">new_name_param</span><span class="p">][</span><span class="s1">&#39;err&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="n">error_param</span>
            <span class="k">else</span><span class="p">:</span>
                <span class="n">params_dict</span><span class="p">[</span><span class="n">new_name_param</span><span class="p">]</span> <span class="o">=</span> <span class="n">value_param</span>

    <span class="k">elif</span> <span class="n">method</span> <span class="o">==</span> <span class="s1">&#39;root&#39;</span><span class="p">:</span>
        <span class="n">params_dict</span> <span class="o">=</span> <span class="p">{}</span>
        <span class="k">for</span> <span class="n">param</span> <span class="ow">in</span> <span class="n">result_params</span><span class="o">.</span><span class="n">floatParsFinal</span><span class="p">():</span>
            <span class="n">name</span> <span class="o">=</span> <span class="n">param</span><span class="o">.</span><span class="n">GetTitle</span><span class="p">()</span>
            <span class="n">value</span> <span class="o">=</span> <span class="n">param</span><span class="o">.</span><span class="n">getVal</span><span class="p">()</span>
            <span class="n">err</span> <span class="o">=</span> <span class="n">param</span><span class="o">.</span><span class="n">getError</span><span class="p">()</span>
            <span class="k">if</span> <span class="n">with_err</span><span class="p">:</span>
                <span class="n">params_dict</span><span class="p">[</span><span class="n">name</span><span class="p">]</span> <span class="o">=</span> <span class="p">{</span>
                    <span class="s1">&#39;val&#39;</span><span class="p">:</span> <span class="n">value</span><span class="p">,</span>
                    <span class="s1">&#39;err&#39;</span><span class="p">:</span> <span class="n">err</span>
                <span class="p">}</span>
            <span class="k">else</span><span class="p">:</span>
                <span class="n">params_dict</span><span class="p">[</span><span class="n">name</span><span class="p">]</span> <span class="o">=</span> <span class="n">value</span>

    <span class="k">return</span> <span class="n">params_dict</span></div>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>